//
//  IdentityInformationsValidationView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 30/06/2025.
//

import SwiftUI

struct IdentityInformationsValidationView: View {
    var body: some View {
        VStack(spacing: 16) {
            VStack(alignment: .leading, spacing: 24) {
                SQText("Les étapes de vérification d’identité :")
                    .sqSize(20)
                    .sqFont(.bold)
                VStack(alignment: .leading, spacing: 8) {
                    SQText("1. Vous allez prendre une vidéo de votre visage")
                    SQText("2. Vous allez prendre une photo de votre pièce d’identité.")
                    SQText("3. Nous allons comparer la vidéo de votre visage et les informations de votre compte AlloVoisins avec les éléments figurant sur votre pièce d’identité.")
                }
                VStack(alignment: .leading, spacing: 8) {
                    HStack {
                        SQIcon(.circle_exclamation)
                        SQText("Vérifiez que :")
                            .sqFont(.semiBold)
                    }
                    SQText("Les informations renseignées sur le document d’identité transmis doivent être strictement identiques aux informations ci-dessous, indiquées sur votre compte AlloVoisins :")
                    VStack(alignment: .leading) {
                        SQText("  ‧  Prénom : Maëlys-Gaëlle")
                        SQText("  ‧  Nom : Martin")
                        SQText("  ‧  Date de naissance : 13/07/1990")
                    }
                }
            }
            SQButton("Mettre à jour mes informations") {

            }
            .sqButtonType(.line)
            Spacer()
            SQButton("Commencer") {

            }
        }
        .padding([.trailing, .leading, .top])
        .sqNavigationBar(title: "Vérification de mon identité")
    }
}

#Preview {
    IdentityInformationsValidationView()
}
